Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xslf.usermodel
Class XSLFTable

    java.lang.Object
      org.apache.poi.xslf.usermodel.XSLFShape
          org.apache.poi.xslf.usermodel.XSLFGraphicFrame
              org.apache.poi.xslf.usermodel.XSLFTable

All Implemented Interfaces:
  poi.support.Iterable

    public class XSLFTable

extends XSLFGraphicFrame
implements poi.support.Iterable

Represents a table in a .pptx presentation

Author:
  Yegor Kozlov

Method Summary
`XSLFTableRow` | `addRow()`
`double` | `getColumnWidth(int idx)`
`org.openxmlformats.schemas.drawingml.x2006.main.CTTable` | `getCTTable()`
`int` | `getNumberOfColumns()`
`int` | `getNumberOfRows()`
`java.util.List` | `getRows()`
`java.util.Iterator` | `iterator()`
`void` | `mergeCells(int firstRow, int lastRow, int firstCol, int lastCol)` Merge cells of a table
`void` | `setColumnWidth(int idx, double width)`

Methods inherited from class org.apache.poi.xslf.usermodel.XSLFGraphicFrame
`draw, getAnchor, getFlipHorizontal, getFlipVertical, getRotation, getShapeId, getShapeName, getShapeType, getSheet, getXmlObject, setAnchor, setFlipHorizontal, setFlipVertical, setRotation`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getCTTable

    public org.openxmlformats.schemas.drawingml.x2006.main.CTTable getCTTable()

### getNumberOfColumns

    public int getNumberOfColumns()

### getNumberOfRows

    public int getNumberOfRows()

### getColumnWidth

    public double getColumnWidth(int idx)

### setColumnWidth

    public void setColumnWidth(int idx,
                               double width)

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `poi.support.Iterable`

### getRows

    public java.util.List getRows()

### addRow

    public XSLFTableRow addRow()

### mergeCells

    public void mergeCells(int firstRow,
                           int lastRow,
                           int firstCol,
                           int lastCol)

  Merge cells of a table

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD